package com.example.mathseduc

import android.os.Bundle
import android.os.CountDownTimer
import android.widget.Button
import android.widget.ProgressBar
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity

class QuizMultiActivity : AppCompatActivity() {

    private lateinit var countDownTimer: CountDownTimer

    var progressBarValue : Int = 0
    var chronoValue : Int = 0



    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_quiz_multi)

        var progressBar1 = findViewById<ProgressBar>(R.id.progressBar1)
        var chrono = findViewById<ProgressBar>(R.id.chrono)

        progressBar1.max = 100
        chrono.max = 30



        var incrementeButton = findViewById<Button>(R.id.buttonValider)

        // Initialiser le CountDownTimer
        countDownTimer = object : CountDownTimer(30*1000, 1000) {
            override fun onTick(millisUntilFinished: Long) {
                // Incrémenter la valeur de la ProgressBar chaque seconde
                chronoValue++
                chrono.progress = chronoValue
                progressBarValue++
                progressBar1.progress = progressBarValue
                
            }

            override fun onFinish() {
                // Code à exécuter lorsque le timer est terminé
            }
        }

        incrementeButton.setOnClickListener {
            progressBarValue += 10
            progressBar1.progress = progressBarValue
        }

        // Démarrer le CountDownTimer
        countDownTimer.start()
    }

    override fun onDestroy() {
        super.onDestroy()
        // Arrêter le CountDownTimer pour éviter les fuites de mémoire
        countDownTimer.cancel()
    }

}